Subject: Re: bug#6028: 24.0.50; HELLO wants "C-x v v"

From: Dan Nicolaescu <[email-masked]>
Date: Sun, 25 Apr 2010 15:20:52 -0400

Stefan Monnier <[email-masked]> writes:

>>> I think VC should not display this message if the backend is not a
>>> locking VCS.
>> FWIW I agree.  I think this was discussed on the list a few times, but
>> I don't remember the conclusion....
>
> Yes.  Especially since this message was there to help the transition
> away from C-x C-q to C-x v v for vc-next-action.
>
> Since this change was made for Emacs-22, I think we can simply drop this
> message altogether for Emacs-24.

IMHO the message still makes sense for RCS (and similar systems) where
editing files requires an explicit checkout operation.